

# ListIdMappingTables
<a name="API_ListIdMappingTables"></a>

Returns a list of ID mapping tables.

## Request Syntax
<a name="API_ListIdMappingTables_RequestSyntax"></a>

```
GET /memberships/membershipIdentifier/idmappingtables?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListIdMappingTables_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListIdMappingTables_RequestSyntax) **   <a name="API-ListIdMappingTables-request-uri-maxResults"></a>
The maximum size of the results that is returned per call. Service chooses a default if it has not been set. Service may return a nextToken even if the maximum results has not been met.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [membershipIdentifier](#API_ListIdMappingTables_RequestSyntax) **   <a name="API-ListIdMappingTables-request-uri-membershipIdentifier"></a>
The unique identifier of the membership that contains the ID mapping tables that you want to view.  
Length Constraints: Fixed length of 36.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [nextToken](#API_ListIdMappingTables_RequestSyntax) **   <a name="API-ListIdMappingTables-request-uri-nextToken"></a>
The pagination token that's used to fetch the next set of results.  
Length Constraints: Minimum length of 0. Maximum length of 10240.

## Request Body
<a name="API_ListIdMappingTables_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListIdMappingTables_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "idMappingTableSummaries": [ 
      { 
         "arn": "string",
         "collaborationArn": "string",
         "collaborationId": "string",
         "createTime": number,
         "description": "string",
         "id": "string",
         "inputReferenceConfig": { 
            "inputReferenceArn": "string",
            "manageResourcePolicies": boolean
         },
         "membershipArn": "string",
         "membershipId": "string",
         "name": "string",
         "updateTime": number
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListIdMappingTables_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [idMappingTableSummaries](#API_ListIdMappingTables_ResponseSyntax) **   <a name="API-ListIdMappingTables-response-idMappingTableSummaries"></a>
The summary information of the ID mapping tables that you requested.  
Type: Array of [IdMappingTableSummary](API_IdMappingTableSummary.md) objects

 ** [nextToken](#API_ListIdMappingTables_ResponseSyntax) **   <a name="API-ListIdMappingTables-response-nextToken"></a>
The token value provided to access the next page of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 10240.

## Errors
<a name="API_ListIdMappingTables_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Caller does not have sufficient access to perform this action.    
 ** reason **   
A reason code for the exception.
HTTP Status Code: 403

 ** InternalServerException **   
Unexpected error during processing of request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Request references a resource which does not exist.    
 ** resourceId **   
The Id of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the specified constraints.    
 ** fieldList **   
Validation errors for specific input parameters.  
 ** reason **   
A reason code for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListIdMappingTables_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/cleanrooms-2022-02-17/ListIdMappingTables) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/cleanrooms-2022-02-17/ListIdMappingTables) 